#! /bin/bash
#
# Elegant logout dialog for the LXDE desktop environment, with working suspend and hibernate functions.
#
# Copyright 2022
# for PCLinuxOS by Alessandro Ebersol 
# License - GPLv3
#
# Version 1.0

action=$(yad --width 300 --entry --title "System Logout" \
    --image=gnome-shutdown \
    --button="Switch User:2" \
    --button="gtk-ok:0" --button="gtk-close:1" \
    --text "Choose action:" \
    --entry-text \
    "Power Off" "Reboot" "Suspend" "Logout" "Hibernate" "Lock")
ret=$?

[[ $ret -eq 1 ]] && exit 0

if [[ $ret -eq 2 ]]; then
    gdmflexiserver --startnew &
    exit 0
fi

case $action in
    Power*) cmd="poweroff" ;;
    Reboot*) cmd="reboot" ;;
    Suspend*) cmd="dbus-send --system --print-reply --dest="org.freedesktop.ConsoleKit" /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Suspend  boolean:true" ;;
    Logout*) cmd="pkill -SIGTERM -f lxsession" ;; 
    Hibernate*) cmd="dbus-send --system --print-reply --dest="org.freedesktop.ConsoleKit" /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Hibernate  boolean:true" ;;
    Lock*) cmd="xscreensaver-command -lock" ;;
esac

eval exec $cmd
